com.fasterxml.jackson.databind.jsonFormatVisitors

## Interface JsonNumberFormatVisitor

- All Superinterfaces:
    JsonValueFormatVisitor
  All Known Implementing Classes:
    JsonNumberFormatVisitor.Base

      public interface JsonNumberFormatVisitor
      extends JsonValueFormatVisitor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `JsonNumberFormatVisitor.Base` Default "empty" implementation, useful as the base to start on; especially as it is guaranteed to implement all the method of the interface, even if new methods are getting added.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `numberType(com.fasterxml.jackson.core.JsonParser.NumberType type)` Method called to provide more exact type of number being serialized (regardless of logical type, which may be `Date` or `Enum`, in addition to actual numeric types like `Integer`).

    - ### Methods inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor

      `enumTypes, format`

- - ### Method Detail

    - #### numberType

          void numberType(com.fasterxml.jackson.core.JsonParser.NumberType type)

      Method called to provide more exact type of number being serialized (regardless of logical type, which may be `Date` or `Enum`, in addition to actual numeric types like `Integer`).